## LOC enumerations and flags

LOC enumerations and flags

## Functions

const gchar * | qmi_loc_intermediate_report_state_get_string ()
const gchar * | qmi_loc_fix_recurrence_type_get_string ()
const gchar * | qmi_loc_operation_mode_get_string ()
const gchar * | qmi_loc_engine_state_get_string ()
const gchar * | qmi_loc_health_status_get_string ()
const gchar * | qmi_loc_indication_status_get_string ()
const gchar * | qmi_loc_navigation_data_get_string ()
const gchar * | qmi_loc_reliability_get_string ()
const gchar * | qmi_loc_satellite_status_get_string ()
gchar * | qmi_loc_satellite_valid_information_build_string_from_mask ()
const gchar * | qmi_loc_session_status_get_string ()
const gchar * | qmi_loc_system_get_string ()
gchar * | qmi_loc_technology_used_build_string_from_mask ()
const gchar * | qmi_loc_time_source_get_string ()
const gchar * | qmi_loc_server_type_get_string ()
gchar * | qmi_loc_server_address_type_build_string_from_mask ()
const gchar * | qmi_loc_predicted_orbits_data_format_get_string ()
gchar * | qmi_loc_delete_cell_database_build_string_from_mask ()
gchar * | qmi_loc_delete_clock_info_build_string_from_mask ()
gchar * | qmi_loc_delete_gnss_data_build_string_from_mask ()
gchar * | qmi_loc_delete_sv_info_build_string_from_mask ()

## Types and Values

enum | QmiLocIntermediateReportState
enum | QmiLocEventRegistrationFlag
enum | QmiLocFixRecurrenceType
enum | QmiLocOperationMode
enum | QmiLocEngineState
enum | QmiLocSatelliteValidInformation
enum | QmiLocSystem
enum | QmiLocHealthStatus
enum | QmiLocSatelliteStatus
enum | QmiLocNavigationData
enum | QmiLocIndicationStatus
enum | QmiLocSensorDataUsage
enum | QmiLocTimeSource
enum | QmiLocTechnologyUsed
enum | QmiLocReliability
enum | QmiLocSessionStatus
enum | QmiLocServerType
enum | QmiLocServerAddressType
enum | QmiLocPredictedOrbitsDataFormat
enum | QmiLocDeleteCellDatabase
enum | QmiLocDeleteClockInfo
enum | QmiLocDeleteGnssData
enum | QmiLocDeleteSvInfo

## Object Hierarchy

        GEnum
        ├── QmiLocEngineState
        ├── QmiLocFixRecurrenceType
        ├── QmiLocHealthStatus
        ├── QmiLocIndicationStatus
        ├── QmiLocIntermediateReportState
        ├── QmiLocNavigationData
        ├── QmiLocOperationMode
        ├── QmiLocPredictedOrbitsDataFormat
        ├── QmiLocReliability
        ├── QmiLocSatelliteStatus
        ├── QmiLocServerType
        ├── QmiLocSessionStatus
        ├── QmiLocSystem
        ╰── QmiLocTimeSource
        GFlags
        ├── QmiLocDeleteCellDatabase
        ├── QmiLocDeleteClockInfo
        ├── QmiLocDeleteSvInfo
        ├── QmiLocSatelliteValidInformation
        ├── QmiLocServerAddressType
        ╰── QmiLocTechnologyUsed

## Description

This section defines enumerations and flags used in the LOC service interface.

## Functions

### qmi_loc_intermediate_report_state_get_string ()

    const gchar *
    qmi_loc_intermediate_report_state_get_string
                                   (QmiLocIntermediateReportState val);

Gets the nickname string for the QmiLocIntermediateReportState specified at `val` .

#### Parameters

val | a QmiLocIntermediateReportState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.20

### qmi_loc_fix_recurrence_type_get_string ()

    const gchar *
    qmi_loc_fix_recurrence_type_get_string
                                   (QmiLocFixRecurrenceType val);

Gets the nickname string for the QmiLocFixRecurrenceType specified at `val` .

#### Parameters

val | a QmiLocFixRecurrenceType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_operation_mode_get_string ()

    const gchar *
    qmi_loc_operation_mode_get_string (QmiLocOperationMode val);

Gets the nickname string for the QmiLocOperationMode specified at `val` .

#### Parameters

val | a QmiLocOperationMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_engine_state_get_string ()

    const gchar *
    qmi_loc_engine_state_get_string (QmiLocEngineState val);

Gets the nickname string for the QmiLocEngineState specified at `val` .

#### Parameters

val | a QmiLocEngineState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_health_status_get_string ()

    const gchar *
    qmi_loc_health_status_get_string (QmiLocHealthStatus val);

Gets the nickname string for the QmiLocHealthStatus specified at `val` .

#### Parameters

val | a QmiLocHealthStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_indication_status_get_string ()

    const gchar *
    qmi_loc_indication_status_get_string (QmiLocIndicationStatus val);

Gets the nickname string for the QmiLocIndicationStatus specified at `val` .

#### Parameters

val | a QmiLocIndicationStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_navigation_data_get_string ()

    const gchar *
    qmi_loc_navigation_data_get_string (QmiLocNavigationData val);

Gets the nickname string for the QmiLocNavigationData specified at `val` .

#### Parameters

val | a QmiLocNavigationData. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_reliability_get_string ()

    const gchar *
    qmi_loc_reliability_get_string (QmiLocReliability val);

Gets the nickname string for the QmiLocReliability specified at `val` .

#### Parameters

val | a QmiLocReliability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_satellite_status_get_string ()

    const gchar *
    qmi_loc_satellite_status_get_string (QmiLocSatelliteStatus val);

Gets the nickname string for the QmiLocSatelliteStatus specified at `val` .

#### Parameters

val | a QmiLocSatelliteStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_satellite_valid_information_build_string_from_mask ()

    gchar *
    qmi_loc_satellite_valid_information_build_string_from_mask
                                   (QmiLocSatelliteValidInformation mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocSatelliteValidInformation in `mask` .

#### Parameters

mask | bitmask of QmiLocSatelliteValidInformation values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_session_status_get_string ()

    const gchar *
    qmi_loc_session_status_get_string (QmiLocSessionStatus val);

Gets the nickname string for the QmiLocSessionStatus specified at `val` .

#### Parameters

val | a QmiLocSessionStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_system_get_string ()

    const gchar *
    qmi_loc_system_get_string (QmiLocSystem val);

Gets the nickname string for the QmiLocSystem specified at `val` .

#### Parameters

val | a QmiLocSystem. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_technology_used_build_string_from_mask ()

    gchar *
    qmi_loc_technology_used_build_string_from_mask
                                   (QmiLocTechnologyUsed mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocTechnologyUsed in `mask` .

#### Parameters

mask | bitmask of QmiLocTechnologyUsed values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_time_source_get_string ()

    const gchar *
    qmi_loc_time_source_get_string (QmiLocTimeSource val);

Gets the nickname string for the QmiLocTimeSource specified at `val` .

#### Parameters

val | a QmiLocTimeSource. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_server_type_get_string ()

    const gchar *
    qmi_loc_server_type_get_string (QmiLocServerType val);

Gets the nickname string for the QmiLocServerType specified at `val` .

#### Parameters

val | a QmiLocServerType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_server_address_type_build_string_from_mask ()

    gchar *
    qmi_loc_server_address_type_build_string_from_mask
                                   (QmiLocServerAddressType mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocServerAddressType in `mask` .

#### Parameters

mask | bitmask of QmiLocServerAddressType values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_predicted_orbits_data_format_get_string ()

    const gchar *
    qmi_loc_predicted_orbits_data_format_get_string
                                   (QmiLocPredictedOrbitsDataFormat val);

Gets the nickname string for the QmiLocPredictedOrbitsDataFormat specified at `val` .

#### Parameters

val | a QmiLocPredictedOrbitsDataFormat. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_loc_delete_cell_database_build_string_from_mask ()

    gchar *
    qmi_loc_delete_cell_database_build_string_from_mask
                                   (QmiLocDeleteCellDatabase mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocDeleteCellDatabase in `mask` .

#### Parameters

mask | bitmask of QmiLocDeleteCellDatabase values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_delete_clock_info_build_string_from_mask ()

    gchar *
    qmi_loc_delete_clock_info_build_string_from_mask
                                   (QmiLocDeleteClockInfo mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocDeleteClockInfo in `mask` .

#### Parameters

mask | bitmask of QmiLocDeleteClockInfo values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_delete_gnss_data_build_string_from_mask ()

    gchar *
    qmi_loc_delete_gnss_data_build_string_from_mask
                                   (QmiLocDeleteGnssData mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocDeleteGnssData in `mask` .

#### Parameters

mask | bitmask of QmiLocDeleteGnssData values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

### qmi_loc_delete_sv_info_build_string_from_mask ()

    gchar *
    qmi_loc_delete_sv_info_build_string_from_mask
                                   (QmiLocDeleteSvInfo mask);

Builds a string containing a comma-separated list of nicknames for each QmiLocDeleteSvInfo in `mask` .

#### Parameters

mask | bitmask of QmiLocDeleteSvInfo values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.22

## Types and Values

### enum QmiLocIntermediateReportState

Whether to enable or disable intermediate state reporting.

#### Members

QMI_LOC_INTERMEDIATE_REPORT_STATE_UNKNOWN | Unknown. |
QMI_LOC_INTERMEDIATE_REPORT_STATE_ENABLE | Enable intermediate state reporting. |
QMI_LOC_INTERMEDIATE_REPORT_STATE_DISABLE | Disable intermediate state reporting. |

Since: 1.20

### enum QmiLocEventRegistrationFlag

For which events to register the subscription.

Since 1.22

#### Members

QMI_LOC_EVENT_REGISTRATION_FLAG_POSITION_REPORT | Position report. |
QMI_LOC_EVENT_REGISTRATION_FLAG_GNSS_SATELLITE_INFO | GNSS satellite info. |
QMI_LOC_EVENT_REGISTRATION_FLAG_NMEA | NMEA. |
QMI_LOC_EVENT_REGISTRATION_FLAG_NI_NOTIFY_VERIFY_REQUEST | NI Notify verify request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_TIME_REQUEST | Inject time request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_PREDICTED_ORBITS_REQUEST | Inject predicted orbits request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_POSITION_REQUEST | Inject position request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_ENGINE_STATE | Engine state. |
QMI_LOC_EVENT_REGISTRATION_FLAG_FIX_SESSION_STATE | Fix session state. |
QMI_LOC_EVENT_REGISTRATION_FLAG_WIFI_REQUEST | WIFI request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_SENSOR_STREAMING_READY_STATUS | Sensor streaming ready status. |
QMI_LOC_EVENT_REGISTRATION_FLAG_TIME_SYNC_REQUEST | Time sync request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_SET_SPI_STREAMING_REPORT | Set SPI streaming report. |
QMI_LOC_EVENT_REGISTRATION_FLAG_LOCATION_SERVER_CONNECTION_REQUEST | Location server connection request. |
QMI_LOC_EVENT_REGISTRATION_FLAG_NI_GEOFENCE_NOTIFICATION | NI geofence notification. |
QMI_LOC_EVENT_REGISTRATION_FLAG_GEOFENCE_GENERAL_ALERT | Geofence general alert. |
QMI_LOC_EVENT_REGISTRATION_FLAG_GEOFENCE_BREACH_NOTIFICATION | Geofence breach notification. |
QMI_LOC_EVENT_REGISTRATION_FLAG_PEDOMETER_CONTROL | Pedometer control. |
QMI_LOC_EVENT_REGISTRATION_FLAG_MOTION_DATA_CONTROL | Motion data control. |

### enum QmiLocFixRecurrenceType

Whether to request a single or periodic fixes.

Since 1.22

#### Members

QMI_LOC_FIX_RECURRENCE_TYPE_REQUEST_PERIODIC_FIXES | Periodic fixes. |
QMI_LOC_FIX_RECURRENCE_TYPE_REQUEST_SINGLE_FIX | Single fix. |

### enum QmiLocOperationMode

Which operation mode to use.

Since 1.22

#### Members

QMI_LOC_OPERATION_MODE_DEFAULT | Default. |
QMI_LOC_OPERATION_MODE_MSB | MSB (Mobile Station Based). |
QMI_LOC_OPERATION_MODE_MSA | MSA (Mobile Station Assisted). |
QMI_LOC_OPERATION_MODE_STANDALONE | Standalone. |
QMI_LOC_OPERATION_MODE_CELLID | Cell ID. |
QMI_LOC_OPERATION_MODE_WWAN | WWAN. |

### enum QmiLocEngineState

State of the engine.

Since 1.22

#### Members

QMI_LOC_ENGINE_STATE_ON | On. |
QMI_LOC_ENGINE_STATE_OFF | Off. |

### enum QmiLocSatelliteValidInformation

Which information about the satellite is valid.

Since 1.22

#### Members

QMI_LOC_SATELLITE_VALID_INFORMATION_SYSTEM | System, |
QMI_LOC_SATELLITE_VALID_INFORMATION_GNSS_SATELLITE_ID | GNSS Satellite ID. |
QMI_LOC_SATELLITE_VALID_INFORMATION_HEALTH_STATUS | Health status. |
QMI_LOC_SATELLITE_VALID_INFORMATION_PROCESS_STATUS | Process status. |
QMI_LOC_SATELLITE_VALID_INFORMATION_SATELLITE_INFO_MASK | Satellite info mask. |
QMI_LOC_SATELLITE_VALID_INFORMATION_ELEVATION | Elevation. |
QMI_LOC_SATELLITE_VALID_INFORMATION_AZIMUTH | Azimuth. |
QMI_LOC_SATELLITE_VALID_INFORMATION_SIGNAL_TO_NOISE_RATIO | Signal to noise ratio. |

### enum QmiLocSystem

Which location system a satellite is part of.

Since 1.22

#### Members

QMI_LOC_SYSTEM_GPS | GPS. |
QMI_LOC_SYSTEM_GALILEO | Galileo. |
QMI_LOC_SYSTEM_SBAS | SBAS. |
QMI_LOC_SYSTEM_COMPASS | COMPASS (BeiDou). |
QMI_LOC_SYSTEM_GLONASS | GLONASS. |

### enum QmiLocHealthStatus

Whether a satellite is healthy or unhealthy.

Since 1.22

#### Members

QMI_LOC_HEALTH_STATUS_UNHEALTHY | Unhealthy. |
QMI_LOC_HEALTH_STATUS_HEALTHY | Healthy. |

### enum QmiLocSatelliteStatus

Whether the engine searches or tracks a satellite.

Since 1.22

#### Members

QMI_LOC_SATELLITE_STATUS_IDLE | Idle. |
QMI_LOC_SATELLITE_STATUS_SEARCHING | Searching. |
QMI_LOC_SATELLITE_STATUS_TRACKING | Tracking. |

### enum QmiLocNavigationData

Whether the ephemeris or almanac exist for a satellite.

Since 1.22

#### Members

QMI_LOC_NAVIGATION_DATA_HAS_EPHEMERIS | Has ephemeris. |
QMI_LOC_NAVIGATION_DATA_HAS_ALMANAC | Has almanac. |

### enum QmiLocIndicationStatus

General result of a received indication.

Since 1.22

#### Members

QMI_LOC_INDICATION_STATUS_SUCCESS | Success. |
QMI_LOC_INDICATION_STATUS_GENERAL_FAILURE | General Failure. |
QMI_LOC_INDICATION_STATUS_UNSUPPORTED | Unsupported. |
QMI_LOC_INDICATION_STATUS_INVALID_PARAMETER | Invalid Parameter. |
QMI_LOC_INDICATION_STATUS_ENGINE_BUSY | Engine is busy. |
QMI_LOC_INDICATION_STATUS_PHONE_OFFLINE | Phone is offline. |
QMI_LOC_INDICATION_STATUS_TIMEOUT | Timeout. |

### enum QmiLocSensorDataUsage

Which sensors where used and for which measurements.

Since 1.22

#### Members

QMI_LOC_SENSOR_DATA_USAGE_ACCELEROMETER_USED | Accelerometer used. |
QMI_LOC_SENSOR_DATA_USAGE_GYRO_USED | Gyro used. |
QMI_LOC_SENSOR_DATA_USAGE_AIDED_HEADING | Aided heading. |
QMI_LOC_SENSOR_DATA_USAGE_AIDED_SPEED | Aided speed. |
QMI_LOC_SENSOR_DATA_USAGE_AIDED_POSITION | Aided position. |
QMI_LOC_SENSOR_DATA_USAGE_AIDED_VELOCITY | Aided velocity. |

### enum QmiLocTimeSource

Source of the used time.

Since 1.22

#### Members

QMI_LOC_TIME_SOURCE_INVALID | Invalid. |
QMI_LOC_TIME_SOURCE_NETWORK_TIME_TRANSFER | Time is set by the 1X system. |
QMI_LOC_TIME_SOURCE_NETWORK_TIME_TAGGING | Time is set by WCDMA/GSM time tagging. |
QMI_LOC_TIME_SOURCE_EXTERNAL_INPUT | Time set by external injection. |
QMI_LOC_TIME_SOURCE_TOW_DECODE | Time is set after decoding over-the-air GPS navigation data from one GPS satellite. |
QMI_LOC_TIME_SOURCE_TOW_CONFIRMED | Time is set after decoding over-the-air GPS navigation data from multiple satellites. |
QMI_LOC_TIME_SOURCE_TOW_AND_WEEK_CONFIRMED | Both time of the week and GPS week number are known. |
QMI_LOC_TIME_SOURCE_NAVIGATION_SOLUTION | Time is set by the position engine after the fix is obtained. |
QMI_LOC_TIME_SOURCE_SOLVE_FOR_TIME | Time is set by the position engine after performing SFT. |
QMI_LOC_TIME_SOURCE_GLO_TOW_DECODE | Time is set after decoding QZSS satellites. |
QMI_LOC_TIME_SOURCE_TIME_TRANSFORM | Time is set after transforming the GPS to GLO time. |
QMI_LOC_TIME_SOURCE_WCDMA_SLEEP_TIME_TAG | Time is set by the sleep time tag provided by the WCDMA network. |
QMI_LOC_TIME_SOURCE_GSM_SLEEP_TIME_TAG | Time is set by the sleep time tag provided by the GSM network. |
QMI_LOC_TIME_SOURCE_UNKNOWN | Unknown. |
QMI_LOC_TIME_SOURCE_SYSTEM_TIMETICK | Time is derived from the system clock. |
QMI_LOC_TIME_SOURCE_QZSS_TOW_DECODE | Time set after decoding QZSS satellites. |
QMI_LOC_TIME_SOURCE_BDS_TOW_DECODE | Time set after decoding BDS satellites. |

### enum QmiLocTechnologyUsed

Which technology has been used.

Since 1.22

#### Members

QMI_LOC_TECHNOLOGY_USED_SATELLITE | Satellite. |
QMI_LOC_TECHNOLOGY_USED_CELLULAR | Cellular. |
QMI_LOC_TECHNOLOGY_USED_WIFI | Wifi. |
QMI_LOC_TECHNOLOGY_USED_SENSORS | Sensors. |
QMI_LOC_TECHNOLOGY_USED_REFERENCE_LOCATION | Reference Location. |
QMI_LOC_TECHNOLOGY_USED_INJECTED_POSITION | Injected Position. |
QMI_LOC_TECHNOLOGY_USED_AFLT | AFLT (Advanced Forward Link Trilateration). |
QMI_LOC_TECHNOLOGY_USED_HYBRID | Hybrid. |

### enum QmiLocReliability

Reliability of the provided information.

Since 1.22

#### Members

QMI_LOC_RELIABILITY_NOT_SET | Not set. |
QMI_LOC_RELIABILITY_VERY_LOW | Very low. |
QMI_LOC_RELIABILITY_LOW | Low. |
QMI_LOC_RELIABILITY_MEDIUM | Medium. |
QMI_LOC_RELIABILITY_HIGH | High. |

### enum QmiLocSessionStatus

Status of a received session indication.

Since 1.22

#### Members

QMI_LOC_SESSION_STATUS_SUCCESS | Success |
QMI_LOC_SESSION_STATUS_IN_PROGRESS | Operation in Progress. |
QMI_LOC_SESSION_STATUS_GENERAL_FAILURE | General Failure. |
QMI_LOC_SESSION_STATUS_TIMEOUT | Timeout. |
QMI_LOC_SESSION_STATUS_USER_ENDED | User ended. |
QMI_LOC_SESSION_STATUS_BAD_PARAMETER | Bad Parameter. |
QMI_LOC_SESSION_STATUS_PHONE_OFFLINE | Phone is offline. |
QMI_LOC_SESSION_STATUS_ENGINE_LOCKED | Engine is locked. |

### enum QmiLocServerType

Server type for Assisted-GPS.

#### Members

QMI_LOC_SERVER_TYPE_UNKNOWN | Unknown. |
QMI_LOC_SERVER_TYPE_CDMA_PDE | CDMA Position Determining System. |
QMI_LOC_SERVER_TYPE_CDMA_MPC | CDMA Mobile Positioning Center. |
QMI_LOC_SERVER_TYPE_UMTS_SLP | SUPL Location Platform. |
QMI_LOC_SERVER_TYPE_CUSTOM_PDE | Custom position determining system. |

Since: 1.22

### enum QmiLocServerAddressType

Type of server address for Assisted-GPS.

#### Members

QMI_LOC_SERVER_ADDRESS_TYPE_NONE | None. |
QMI_LOC_SERVER_ADDRESS_TYPE_IPV4 | IPv4 server address. |
QMI_LOC_SERVER_ADDRESS_TYPE_IPV6 | IPv6 server address. |
QMI_LOC_SERVER_ADDRESS_TYPE_URL | URL server address. |

### enum QmiLocPredictedOrbitsDataFormat

Type of predicted orbits data.

#### Members

QMI_LOC_PREDICTED_ORBITS_DATA_FORMAT_XTRA | Qualcomm XTRA database. |

### enum QmiLocDeleteCellDatabase

Type of data to delete from the cell database.

#### Members

QMI_LOC_DELETE_CELL_DATABASE_POS | Position. |
QMI_LOC_DELETE_CELL_DATABASE_LATEST_GPS_POS | Latest GPS position. |
QMI_LOC_DELETE_CELL_DATABASE_OTA_POS | OTA position. |
QMI_LOC_DELETE_CELL_DATABASE_EXT_REF_POS | External reference position. |
QMI_LOC_DELETE_CELL_DATABASE_TIMETAG | Timetag. |
QMI_LOC_DELETE_CELL_DATABASE_CELLID | Cell ID. |
QMI_LOC_DELETE_CELL_DATABASE_CACHED_CELLID | Cached cell ID. |
QMI_LOC_DELETE_CELL_DATABASE_LAST_SRV_CELL | Last serving cell. |
QMI_LOC_DELETE_CELL_DATABASE_CUR_SRV_CELL | Current servince cell. |
QMI_LOC_DELETE_CELL_DATABASE_NEIGHBOR_INFO | Neighboring cell info. |

### enum QmiLocDeleteClockInfo

Type of data to delete from the clock information.

#### Members

QMI_LOC_DELETE_CLOCK_INFO_TIME_EST | Time estimation. |
QMI_LOC_DELETE_CLOCK_INFO_FREQ_EST | Frequency estimation. |
QMI_LOC_DELETE_CLOCK_INFO_WEEK_NUMBER | Week number. |
QMI_LOC_DELETE_CLOCK_INFO_RTC_TIME | RTC time. |
QMI_LOC_DELETE_CLOCK_INFO_TIME_TRANSFER | Time transfer. |
QMI_LOC_DELETE_CLOCK_INFO_GPS_TIME_EST | GPS time estimation. |
QMI_LOC_DELETE_CLOCK_INFO_GLO_TIME_EST | GLONASS time estimation. |
QMI_LOC_DELETE_CLOCK_INFO_GLO_DAY_NUMBER | GLONASS day number. |
QMI_LOC_DELETE_CLOCK_INFO_GLO_YEAR_NUMBER | GLONASS year number. |
QMI_LOC_DELETE_CLOCK_INFO_GLO_RF_GRP_DELAY | GLONASS RF group delay. |
QMI_LOC_DELETE_CLOCK_INFO_DISABLE_TT | Disable TT. |

### enum QmiLocDeleteGnssData

Flags to use when deleting GNSS assistance data.

Since 1.22

#### Members

QMI_LOC_DELETE_GNSS_DATA_GPS_SVDIR | GPS SV dir. |
QMI_LOC_DELETE_GNSS_DATA_GPS_SVSTEER | GPS SV steer. |
QMI_LOC_DELETE_GNSS_DATA_GPS_TIME | GPS time. |
QMI_LOC_DELETE_GNSS_DATA_GPS_ALM_CORR | GPS alm corr. |
QMI_LOC_DELETE_GNSS_DATA_GLO_SVDIR | GLONASS SV dir. |
QMI_LOC_DELETE_GNSS_DATA_GLO_SVSTEER | GLONASS SV steer. |
QMI_LOC_DELETE_GNSS_DATA_GLO_TIME | GLONASS time. |
QMI_LOC_DELETE_GNSS_DATA_GLO_ALM_CORR | GLONASS alm corr. |
QMI_LOC_DELETE_GNSS_DATA_SBAS_SVDIR | SBAS SV dir. |
QMI_LOC_DELETE_GNSS_DATA_SBAS_SVSTEER | SBAS SV steer. |
QMI_LOC_DELETE_GNSS_DATA_POSITION | Position. |
QMI_LOC_DELETE_GNSS_DATA_TIME | Time. |
QMI_LOC_DELETE_GNSS_DATA_IONO | Ionospheric data. |
QMI_LOC_DELETE_GNSS_DATA_UTC | UTC time. |
QMI_LOC_DELETE_GNSS_DATA_HEALTH | Health information. |
QMI_LOC_DELETE_GNSS_DATA_SADATA | SA data. |
QMI_LOC_DELETE_GNSS_DATA_RTI | RTI. |
QMI_LOC_DELETE_GNSS_DATA_SV_NO_EXIST | SV no exist. |
QMI_LOC_DELETE_GNSS_DATA_FREQ_BIAS_EST | Frequency bias estimation. |

### enum QmiLocDeleteSvInfo

Type of data to delete for a given satellite.

#### Members

QMI_LOC_DELETE_SV_INFO_EPHEMERIS | Ephemeris. |
QMI_LOC_DELETE_SV_INFO_ALMANAC | Almanac. |